Create Memory
curl --request POST \
--url https://api.example.com/api/v1/memories \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "<string>",
"memory": "<string>",
"memory_type": "user",
"topics": [
"<string>"
],
"metadata": {}
}
'import requests
url = "https://api.example.com/api/v1/memories"
payload = {
"user_id": "<string>",
"memory": "<string>",
"memory_type": "user",
"topics": ["<string>"],
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '<string>',
memory: '<string>',
memory_type: 'user',
topics: ['<string>'],
metadata: {}
})
};
fetch('https://api.example.com/api/v1/memories', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"memory_id": "<string>",
"message": "<string>",
"memory": {
"memory_id": "<string>",
"user_id": "<string>",
"memory": "<string>",
"topics": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"metadata": {}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Memory
Create Memory
Create a new memory for the current user.
This endpoint allows users to create personal memories that can be used for context in future conversations and interactions.
POST
/
api
/
v1
/
memories
Create Memory
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The workspace ID
Body
application/json
Schema for creating a new memory.
The user ID who owns the memory.
The memory content to store.
The type of memory. 'user', 'agent', 'team', 'workflow'.
Topics associated with the memory.
Additional metadata for the memory.
⌘I